Bug 245546 - Lokalize does not recognize file from project when opening it via symlink
Summary: Lokalize does not recognize file from project when opening it via symlink
Status: RESOLVED FIXED
Alias: None
Product: lokalize
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nick Shaforostoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-23 15:27 UTC by Alexander Potashev
Modified: 2011-04-14 21:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2010-07-23 15:27:52 UTC
Version:           unspecified (using Devel) 
OS:                Linux

1. Run Lokalize and configure it to use trunk and stable branch
2. create a symlink to "messages" directory in trunk
3. click File->Open..., open the symlink, and then open a .po file inside it.
4. make changes in strings in .po file (in Lokalize). But now the changes do not go to stable branch. If you do not use a symlink, the changes also go to stable.

http://lists.kde.org/?l=kde-i18n-doc&m=127982505510307&w=2

Reproducible: Always




OS: Linux (x86_64) release 2.6.32.15
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Nick Shaforostoff 2011-02-10 03:08:03 UTC
is there cases when user would explicitly want lokalize no to interpret symlinks?
Comment 2 Alexander Potashev 2011-02-11 12:48:36 UTC
May be there are. Thought, I would never want this behavior. Don't know about other people.
Comment 3 Nick Shaforostoff 2011-04-14 21:33:00 UTC
SVN commit 1227942 by shaforo:

interpret symlinks for project file and for po/xliff files.
BUG: 245546



 M  +6 -2      main.cpp  
 M  +2 -2      mergemode/mergeview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1227942